/// #pkgName FGUI包名
/// #panelName UIPanel名字
/// #UIName = $"{#pkgName}{#panelName}" UIKey名字
/// #PropertyDefineArea 属性定义区域
/// #PropertyAssignArea 属性赋值区域
/// #ComponentType 组件类型
/// #PropertyName 属性名字
/// 该脚本由模板创建，不可编辑
/// created by cb 2024
using FairyGUI;
using XGame.Framework.FGUI;
using XGame.Framework.UI;

namespace FL.FGUI
{
    /// <summary>
    /// 该脚本由模板创建，不可修改，不可编辑
    /// </summary>
    public partial class DragonEggBoxVM : FguiViewModel
    {
        public Controller MenusBtnCtrl { get; private set; }
        public Controller AwardState { get; private set; }
        public DragonEggEquipmentUIView EquipUI { get; private set; }
        public GProgressBar EggPointBar { get; private set; }
        public GLoader3D DragonSpine { get; private set; }
        public GButton BoxAwardBtn { get; private set; }
        public GButton AutoBtn { get; private set; }
        public GButton NextBtn { get; private set; }
        public GButton LastBtn { get; private set; }
        public GButton BagBtn { get; private set; }
        public GButton DragonSpineBtn { get; private set; }
        public GTextField DragonLabel { get; private set; }
        public GTextField AttackLabel { get; private set; }
        public GTextField HpLabel { get; private set; }
        public GTextField DefenseLabel { get; private set; }
        public GButton DragonBtn1 { get; private set; }
        public GButton DragonBtn2 { get; private set; }
        public GButton DragonBtn3 { get; private set; }
        public GButton DragonBtn4 { get; private set; }
        public GButton DragonBtn5 { get; private set; }

        protected override void BindComponents(GComponent panel, IUIViewAdapter adapter)
        {
            MenusBtnCtrl = panel.GetController("MenusBtnCtrl");
            AwardState = panel.GetController("AwardState");
            EquipUI = adapter.CreateNested<DragonEggEquipmentUIView>(new FguiNested(panel.GetChild("EquipUI").asCom), true);
            EggPointBar = panel.GetChild("EggPointBar") as GProgressBar;
            DragonSpine = panel.GetChild("DragonSpine") as GLoader3D;
            BoxAwardBtn = panel.GetChild("BoxAwardBtn") as GButton;
            AutoBtn = panel.GetChild("AutoBtn") as GButton;
            NextBtn = panel.GetChild("NextBtn") as GButton;
            LastBtn = panel.GetChild("LastBtn") as GButton;
            BagBtn = panel.GetChild("BagBtn") as GButton;
            DragonSpineBtn = panel.GetChild("DragonSpineBtn") as GButton;
            DragonLabel = panel.GetChild("DragonLabel") as GTextField;
            AttackLabel = panel.GetChild("AttackLabel") as GTextField;
            HpLabel = panel.GetChild("HpLabel") as GTextField;
            DefenseLabel = panel.GetChild("DefenseLabel") as GTextField;
            DragonBtn1 = panel.GetChild("DragonBtn1") as GButton;
            DragonBtn2 = panel.GetChild("DragonBtn2") as GButton;
            DragonBtn3 = panel.GetChild("DragonBtn3") as GButton;
            DragonBtn4 = panel.GetChild("DragonBtn4") as GButton;
            DragonBtn5 = panel.GetChild("DragonBtn5") as GButton;

        }
    }
}